Subject: Re: wait_for_any: WaitForMultipleObjects failed, win32 error 6
From: [email-masked] (Ken Thompson)

30 Sep 1997 08:14:45 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I got this error message but it seemed to be caused by having the cygwin
dll which came with gnat 3.10 loaded instead of the one distributed with B18.

					Ken

At 03:26 AM 9/30/97 -0400, you wrote:
>Hi,
>    I've been able to sucessfuly build ash, however, during compilation,
>i get a strage error, here is the output of 'make'...
>
>root:~/ash-linux-0.2# make
>gcc -O2 -m486 -DSHELL -I.  mkinit.c -o mkinit
>mkbuiltins builtins
>wait_for_any: WaitForMultipleObjects failed, win32 error 6
>wait_for_any: Trying again.
>wait_for_any: That didn't help, win32 error 6
>sh ./mkbuiltins
>wait_for_any: WaitForMultipleObjects failed, win32 error 6
>wait_for_any: Trying again.
>wait_for_any: That didn't help, win32 error 6
>..<snip>........
>and make fails a bit down farthere...
>
>Now, the strange part is that if i run "mkbuiltins builtins" and "sh
>./mkbuiltins" from the bash prompt, i get no error at all, and running
>make again will finish the compilation... I'd like to at least try to
>clear this up...
>My current config:
>B18 + latest updated cygwin.dll and .a
>Windows 98 [Version 4.10.1593]
>I know there have been some other problems with win98+cygwin but im not
>exactly sure if this is related
>I'll make the src available on my page ...http://nex.raex.com/rale,
>hopefully someone else can try compiling this and see if you can repeat
>this error...
>                                    -rale
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
+++++++++++++++++++++++++++++++++++++++++++++++
Ken Thompson
GTRI/ELSYS/SEN
(404) 894-7089 (VOICE) 
(404) 596-5995 (PAGER)
(404) 894-7080 (FAX)
[email-masked]
+++++++++++++++++++++++++++++++++++++++++++++++
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".